Bug 303931 - Oddity in the application of the maximum length for a user's name
Oddity in the application of the maximum length for a user's name
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-24 16:17 EDT by ray hammond
Modified: 2008-06-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:28:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ray hammond 2007-09-24 16:17:23 EDT
Description of problem:
When creating a new user, the utility permits a user to input a user name of
more than 31 characters.  On attempting to save the new name the utility enforce
the maximum length.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open the system-config-user utility.
2. Select the create new user option. 
3. Input a long user name i.e.


This is a Welsh villages and is the longest valid internet name in the world!

4. Enter a password in the required places and press OK.
Actual results:
The utility warns the user that the name exceeds 31 characters.

Expected results:
Logically it's not right to allow a user to do something, only to say 'you can't
do that' sometime later.  The utility should ideally restrict the number of
permitted characters to 31.

Additional info:
The modify user form suffers from the same problem.
Comment 1 Nils Philippsen 2007-10-02 09:16:38 EDT
(In reply to comment #0)
> Additional info:
> The modify user form suffers from the same problem.

... as do the respective group name entries in their dialogs.

I've fixed that in the Hg repository.
Comment 2 Nils Philippsen 2007-10-05 10:54:14 EDT
I've built system-config-users-1.2.69-1.fc8 for Rawhide, but I'll wait a while
to pick up translations before I'll build (a later version) for F7. It would be
good if you could try out whether 1.2.69 from Rawhide fixes things for you in
the meantime.
Comment 3 ray hammond 2007-10-19 18:37:30 EDT
All looks fine on 1.2.72 on Fedora 8 Test 3.
Comment 4 Bug Zapper 2008-05-14 10:28:37 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:28:31 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.